Subject: Re: bug#37008: 27.0.50; xref-find-definition versus find-tag in Introduction to Programming in Emacs Lisp

From: Jean Louis <[email-masked]>
Date: Mon, 12 Aug 2019 17:34:32 +0200

* Eli Zaretskii <[email-masked]> [2019-08-12 16:55]:
> > From: Jean Louis <[email-masked]>
> > Date: Mon, 12 Aug 2019 03:52:31 +0200
> > 
> > 
> > A this node:
> > 
> > File: eintr.info,  Node: On Reading this Text,  Next: Who You Are,
> > Prev: Why,  Up: Preface
> > 
> > reference is made to `find-tag' function. But function is obsolete
> > find-tag
> > 
> >   This function is obsolete since 25.1;
> >   use ‘xref-find-definitions’ instead.
> >   Probably introduced at or before Emacs version 19.20.
> > 
> > Thus the manual should be corrected as not to confuse beginners.
> 
> You are somehow reading a very old version of that manual, because
> this issue was fixed more than a year ago (see bug#31542), and Emacs
> 26 ships with the fix.  I cannot find even a single reference to
> find-tag in eintr.info that comes with Emacs 26, let alone 27.

You are right.

I had distribution version on my computer. And I have assumed that GNU
Emacs is reading its own new version of info, but is not, it finds its
priorities somehow else.

I have removed now system distribution.

Thank you, then it is fine!

Jean